#   File:       Live Scroll.MPW.FAT.make
#   Target:     Live Scroll.MPW.FAT


MAKEFILE     = "Live Scroll.MPW.FAT.make"
MondoBuild = {MAKEFILE}  # Make blank to avoid rebuilds when makefile is modified
Includes     =
SymPPC      = 
ObjDirPPC   = :ObjectsPPC:
Sym68K      = 
ObjDir68K   = :Objects68K:
Resources	 = :Resources:
C            = SC
PPCC         = MrC

PPCCOptions  = {Includes} {SymPPC} -w off

COptions     = {Includes} {Sym68K} -w off -i "{CIncludes}"

ObjectsPPC  = 
	"{ObjDirPPC}BareBones.c.x" 
	"{ObjDirPPC}Initialize.c.x" 
	"{ObjDirPPC}AppleEvents.c.x" 
	"{ObjDirPPC}Events.c.x" 
	"{ObjDirPPC}Menus.c.x" 
	"{ObjDirPPC}Utilities.c.x" 
	"{ObjDirPPC}Windows.c.x" 
	"{ObjDirPPC}ScrollBars.c.x"

Objects68K  = 
	"{ObjDir68K}BareBones.c.o" 
	"{ObjDir68K}Initialize.c.o" 
	"{ObjDir68K}AppleEvents.c.o" 
	"{ObjDir68K}Events.c.o" 
	"{ObjDir68K}Menus.c.o" 
	"{ObjDir68K}Utilities.c.o" 
	"{ObjDir68K}Windows.c.o" 
	"{ObjDir68K}ScrollBars.c.o"


"Live Scroll.MPW.FAT"  {MondoBuild} {ObjectsPPC}
	PPCLink 
		-o {Targ} {SymPPC} 
		{ObjectsPPC} 
		-t 'APPL' 
		-c '????' 
		"{SharedLibraries}InterfaceLib" 
		"{SharedLibraries}StdCLib" 
		"{PPCLibraries}StdCRuntime.o" 
		"{PPCLibraries}PPCCRuntime.o" 
		"{PPCLibraries}PPCToolLibs.o"
		
"Live Scroll.MPW.FAT"  {MondoBuild} {Objects68K}
	Link 
		-o {Targ} -d {Sym68K} 
		{Objects68K} 
		-t 'APPL' 
		-c '????' 
		"{Libraries}MacRuntime.o" 
		"{Libraries}Interface.o"


"Live Scroll.MPW.FAT"  {MondoBuild} "{Resources}cfrg.r"
	Rez "{Resources}cfrg.r" -o {Targ} {Includes} -append

"Live Scroll.MPW.FAT"  {MondoBuild} "{Resources}Live Scroll.r"
	Rez "{Resources}Live Scroll.r" -o {Targ} {Includes} -append


"{ObjDirPPC}BareBones.c.x"  {MondoBuild} :Sources:BareBones.c
	{PPCC} :Sources:BareBones.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Initialize.c.x"  {MondoBuild} :Sources:Initialize.c
	{PPCC} :Sources:Initialize.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}AppleEvents.c.x"  {MondoBuild} :Sources:AppleEvents.c
	{PPCC} :Sources:AppleEvents.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Events.c.x"  {MondoBuild} :Sources:Events.c
	{PPCC} :Sources:Events.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Menus.c.x"  {MondoBuild} :Sources:Menus.c
	{PPCC} :Sources:Menus.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Utilities.c.x"  {MondoBuild} :Sources:Utilities.c
	{PPCC} :Sources:Utilities.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}Windows.c.x"  {MondoBuild} :Sources:Windows.c
	{PPCC} :Sources:Windows.c -o {Targ} {PPCCOptions}

"{ObjDirPPC}ScrollBars.c.x"  {MondoBuild} :Sources:ScrollBars.c
	{PPCC} :Sources:ScrollBars.c -o {Targ} {PPCCOptions}


"{ObjDir68K}BareBones.c.o"  {MondoBuild} :Sources:BareBones.c
	{C} :Sources:BareBones.c -o {Targ} {COptions}

"{ObjDir68K}Initialize.c.o"  {MondoBuild} :Sources:Initialize.c
	{C} :Sources:Initialize.c -o {Targ} {COptions}

"{ObjDir68K}AppleEvents.c.o"  {MondoBuild} :Sources:AppleEvents.c
	{C} :Sources:AppleEvents.c -o {Targ} {COptions}

"{ObjDir68K}Events.c.o"  {MondoBuild} :Sources:Events.c
	{C} :Sources:Events.c -o {Targ} {COptions}

"{ObjDir68K}Menus.c.o"  {MondoBuild} :Sources:Menus.c
	{C} :Sources:Menus.c -o {Targ} {COptions}

"{ObjDir68K}Utilities.c.o"  {MondoBuild} :Sources:Utilities.c
	{C} :Sources:Utilities.c -o {Targ} {COptions}

"{ObjDir68K}Windows.c.o"  {MondoBuild} :Sources:Windows.c
	{C} :Sources:Windows.c -o {Targ} {COptions}

"{ObjDir68K}ScrollBars.c.o"  {MondoBuild} :Sources:ScrollBars.c
	{C} :Sources:ScrollBars.c -o {Targ} {COptions}

