/*
	File:		BareBones.c
	
	Contains:	The main routine
	
	Written by:	Chris White, Developer Technical Support
	
	Copyright:	 1996 by Apple Computer, Inc., all rights reserved.
	
	Change History (most recent first):
	
			03/29/96			CW		First release

*/


#pragma segment Core


#define __MAIN__



// System includes
#ifndef __MEMORY__
	#include <Memory.h>
#endif



// Application includes
#ifndef __PROTOTYPES__
	#include "Prototypes.h"
#endif





#if !defined(THINK_C) && !defined(__MWERKS__)		// These declares "qd" in their runtime
	QDGlobals	qd;
#endif






void main ( void )
{
	MaxApplZone ( );
	
	// Do we use handles?
	MoreMasters ( );
	MoreMasters ( );
	
	InitToolbox ( );						// Init toolbox stuff
	InitApplication ( );					// Init application specific stuff
	EventLoop ( );
	
	return;
}



